Loading...
Searching...
No Matches
rtpsrtp.h File Reference
Core » Protocols

SRTP definitions (headers). More...

`#include <srtp/srtp.h>`
`#include <srtp/crypto_kernel.h>`
Include dependency graph for rtpsrtp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | srtp_err_status_t err_status_t
#define | srtp_err_status_ok err_status_ok
#define | srtp_err_status_replay_fail err_status_replay_fail
#define | srtp_err_status_replay_old err_status_replay_old
#define | srtp_crypto_policy_set_rtp_default crypto_policy_set_rtp_default
#define | srtp_crypto_policy_set_rtcp_default crypto_policy_set_rtcp_default
#define | srtp_crypto_policy_set_aes_cm_128_hmac_sha1_32 crypto_policy_set_aes_cm_128_hmac_sha1_32
#define | srtp_crypto_policy_set_aes_cm_128_hmac_sha1_80 crypto_policy_set_aes_cm_128_hmac_sha1_80
#define | srtp_crypto_policy_set_aes_gcm_256_16_auth crypto_policy_set_aes_gcm_256_16_auth
#define | srtp_crypto_policy_set_aes_gcm_128_16_auth crypto_policy_set_aes_gcm_128_16_auth
#define | srtp_crypto_get_random crypto_get_random
#define | SRTP_MASTER_KEY_LENGTH 16
#define | SRTP_MASTER_SALT_LENGTH 14
#define | SRTP_MASTER_LENGTH (SRTP_MASTER_KEY_LENGTH + SRTP_MASTER_SALT_LENGTH)
#define | SRTP_AESGCM128_MASTER_KEY_LENGTH 16
#define | SRTP_AESGCM128_MASTER_SALT_LENGTH 12
#define | SRTP_AESGCM128_MASTER_LENGTH (SRTP_AESGCM128_MASTER_KEY_LENGTH + SRTP_AESGCM128_MASTER_SALT_LENGTH)
#define | SRTP_AESGCM256_MASTER_KEY_LENGTH 32
#define | SRTP_AESGCM256_MASTER_SALT_LENGTH 12
#define | SRTP_AESGCM256_MASTER_LENGTH (SRTP_AESGCM256_MASTER_KEY_LENGTH + SRTP_AESGCM256_MASTER_SALT_LENGTH)

## Typedefs

typedef enum janus_srtp_profile | janus_srtp_profile

## Enumerations

enum | janus_srtp_profile { JANUS_SRTP_AES128_CM_SHA1_32 = 1 , JANUS_SRTP_AES128_CM_SHA1_80 , JANUS_SRTP_AEAD_AES_128_GCM , JANUS_SRTP_AEAD_AES_256_GCM }

## Functions

const char * | janus_srtp_error_str (int error)
| Helper method to get a string representation of a libsrtp error code.

## Detailed Description

SRTP definitions (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Definitions of the SRTP usage. This header tries to abstract the differences there may be between libsrtp and libsrtp2, with respect to the structs and defines (e.g., errors), plus adding some helpers.

Protocols

## Macro Definition Documentation

## SRTP_AESGCM128_MASTER_KEY_LENGTH

#define SRTP_AESGCM128_MASTER_KEY_LENGTH 16

## SRTP_AESGCM128_MASTER_LENGTH

#define SRTP_AESGCM128_MASTER_LENGTH (SRTP_AESGCM128_MASTER_KEY_LENGTH + SRTP_AESGCM128_MASTER_SALT_LENGTH)

## SRTP_AESGCM128_MASTER_SALT_LENGTH

#define SRTP_AESGCM128_MASTER_SALT_LENGTH 12

## SRTP_AESGCM256_MASTER_KEY_LENGTH

#define SRTP_AESGCM256_MASTER_KEY_LENGTH 32

## SRTP_AESGCM256_MASTER_LENGTH

#define SRTP_AESGCM256_MASTER_LENGTH (SRTP_AESGCM256_MASTER_KEY_LENGTH + SRTP_AESGCM256_MASTER_SALT_LENGTH)

## SRTP_AESGCM256_MASTER_SALT_LENGTH

#define SRTP_AESGCM256_MASTER_SALT_LENGTH 12

## srtp_crypto_get_random

#define srtp_crypto_get_random crypto_get_random

## srtp_crypto_policy_set_aes_cm_128_hmac_sha1_32

#define srtp_crypto_policy_set_aes_cm_128_hmac_sha1_32 crypto_policy_set_aes_cm_128_hmac_sha1_32

## srtp_crypto_policy_set_aes_cm_128_hmac_sha1_80

#define srtp_crypto_policy_set_aes_cm_128_hmac_sha1_80 crypto_policy_set_aes_cm_128_hmac_sha1_80

## srtp_crypto_policy_set_aes_gcm_128_16_auth

#define srtp_crypto_policy_set_aes_gcm_128_16_auth crypto_policy_set_aes_gcm_128_16_auth

## srtp_crypto_policy_set_aes_gcm_256_16_auth

#define srtp_crypto_policy_set_aes_gcm_256_16_auth crypto_policy_set_aes_gcm_256_16_auth

## srtp_crypto_policy_set_rtcp_default

#define srtp_crypto_policy_set_rtcp_default crypto_policy_set_rtcp_default

## srtp_crypto_policy_set_rtp_default

#define srtp_crypto_policy_set_rtp_default crypto_policy_set_rtp_default

## srtp_err_status_ok

#define srtp_err_status_ok err_status_ok

## srtp_err_status_replay_fail

#define srtp_err_status_replay_fail err_status_replay_fail

## srtp_err_status_replay_old

#define srtp_err_status_replay_old err_status_replay_old

## srtp_err_status_t

#define srtp_err_status_t err_status_t

## SRTP_MASTER_KEY_LENGTH

#define SRTP_MASTER_KEY_LENGTH 16

## SRTP_MASTER_LENGTH

#define SRTP_MASTER_LENGTH (SRTP_MASTER_KEY_LENGTH + SRTP_MASTER_SALT_LENGTH)

## SRTP_MASTER_SALT_LENGTH

#define SRTP_MASTER_SALT_LENGTH 14

## Typedef Documentation

## janus_srtp_profile

typedef enum janus_srtp_profile janus_srtp_profile

## Enumeration Type Documentation

## janus_srtp_profile

enum janus_srtp_profile

Enumerator
JANUS_SRTP_AES128_CM_SHA1_32 |
JANUS_SRTP_AES128_CM_SHA1_80 |
JANUS_SRTP_AEAD_AES_128_GCM |
JANUS_SRTP_AEAD_AES_256_GCM |

## Function Documentation

## janus_srtp_error_str()

const char * janus_srtp_error_str | ( | int | error | ) |

Helper method to get a string representation of a libsrtp error code.

Parameters

  [in] | error | The libsrtp error code

Returns
  A string representation of the error code